Correct code style of Client fullscreen control
ClosedPublic

Authored by romangg on Jan 10 2019, 12:23 PM.

Details

Summary

As a preperational step for future changes obey the code
styling guide in Client fullscreen functionality.

No functional changes.

Test Plan

Manually, autotests pass.

Diff Detail

Repository
R108 KWin
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
romangg created this revision.Jan 10 2019, 12:23 PM
Restricted Application added a project: KWin. · View Herald TranscriptJan 10 2019, 12:23 PM
Restricted Application added a subscriber: kwin. · View Herald Transcript
romangg requested review of this revision.Jan 10 2019, 12:23 PM

I'm not sure about this change, it changes git history, on the other hand it makes things more consistent. Maybe @graesslin can weigh in here.

Well I always kept such old code as it was. I faced this problem a lot during the port to Wayland and introducing the AbstractClient. In the end I decided to not change anything that's in Client or Toplevel, but AbstractClient introduces the more "modern" approach.

We just have to accept that KWin is an old application with several generations of developers. We can be sure that the next generation will also think that our naming was inconsistent and stupid. Personally I think it's not worth to try to adjust to the current "modern".

zzag added a comment.Feb 8 2019, 2:39 PM

Personally I think it's not worth to try to adjust to the current "modern".

Yes, it sounds reasonable.

romangg updated this revision to Diff 59807.Jun 14 2019, 5:39 PM

Rebase on master.

There will be larger changes to legacy code in the near future as of T11098. That means git history will be fucked up anyway. Better clear house beforehand.

I plan on discussing the future development pace and direction of KWin at Plasma sprint next week with my fellow KWin devs. Nevertheless I want to push the patches of this series before that in order to keep progressing with the parent Screens task.

davidedmundson accepted this revision.Sun, Jul 7, 9:58 PM
This revision is now accepted and ready to land.Sun, Jul 7, 9:58 PM
This revision was automatically updated to reflect the committed changes.